aagc.vo

## Class ValiditaPAIResponse

- java.lang.Object
- - aagc.vo.ValiditaPAIResponse

-     public class ValiditaPAIResponse
      extends java.lang.Object

  Classe Java per validitaPAIResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="validitaPAIResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="dataInizio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idSVAM">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataValutazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoSVAM" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[a-zA-Z]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoPeriodo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[a-zA-Z]+"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceTipoPeriodo`
    `protected java.lang.String` | `codiceTipoSVAM`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `dataValutazione`
    `protected java.lang.String` | `idSVAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValiditaPAIResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceTipoPeriodo()` Recupera il valore della proprietà codiceTipoPeriodo.
    `java.lang.String` | `getCodiceTipoSVAM()` Recupera il valore della proprietà codiceTipoSVAM.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDataValutazione()` Recupera il valore della proprietà dataValutazione.
    `java.lang.String` | `getIdSVAM()` Recupera il valore della proprietà idSVAM.
    `void` | `setCodiceTipoPeriodo(java.lang.String value)` Imposta il valore della proprietà codiceTipoPeriodo.
    `void` | `setCodiceTipoSVAM(java.lang.String value)` Imposta il valore della proprietà codiceTipoSVAM.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDataValutazione(java.lang.String value)` Imposta il valore della proprietà dataValutazione.
    `void` | `setIdSVAM(java.lang.String value)` Imposta il valore della proprietà idSVAM.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### idSVAM

          protected java.lang.String idSVAM

    - #### dataValutazione

          protected java.lang.String dataValutazione

    - #### codiceTipoSVAM

          protected java.lang.String codiceTipoSVAM

    - #### codiceTipoPeriodo

          protected java.lang.String codiceTipoPeriodo

  - ### Constructor Detail

    - #### ValiditaPAIResponse

          public ValiditaPAIResponse()

  - ### Method Detail

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdSVAM

          public java.lang.String getIdSVAM()

      Recupera il valore della proprietà idSVAM.
      Returns:
        possible object is `String`

    - #### setIdSVAM

          public void setIdSVAM(java.lang.String value)

      Imposta il valore della proprietà idSVAM.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataValutazione

          public java.lang.String getDataValutazione()

      Recupera il valore della proprietà dataValutazione.
      Returns:
        possible object is `String`

    - #### setDataValutazione

          public void setDataValutazione(java.lang.String value)

      Imposta il valore della proprietà dataValutazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoSVAM

          public java.lang.String getCodiceTipoSVAM()

      Recupera il valore della proprietà codiceTipoSVAM.
      Returns:
        possible object is `String`

    - #### setCodiceTipoSVAM

          public void setCodiceTipoSVAM(java.lang.String value)

      Imposta il valore della proprietà codiceTipoSVAM.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoPeriodo

          public java.lang.String getCodiceTipoPeriodo()

      Recupera il valore della proprietà codiceTipoPeriodo.
      Returns:
        possible object is `String`

    - #### setCodiceTipoPeriodo

          public void setCodiceTipoPeriodo(java.lang.String value)

      Imposta il valore della proprietà codiceTipoPeriodo.
      Parameters:
        `value` - allowed object is `String`